如何强制SWT浏览器使用其他浏览器版本

时间:2019-12-31 06:41:47

标签: java swt

我们正在使用SWT浏览器在富客户端应用程序中显示网页。我们注意到,在此SWT浏览器界面中完成操作后,该网页内的诸如文件上传之类的用例将无法正常工作。但是,如果在常规浏览器上执行相同操作,则文件将被上传。我们认为这是因为SWT浏览器使用的是其他旧版本的IE。

为了解决这个问题,我尝试了提到的here。由于网页的内容不可用,因此我尝试了第二种选择。我已使用应用程序的.ini文件并添加了条目'-Dorg.eclipse.swt.browser.IEVersion=11001'。我已经交叉检查了它是否也在应用程序中被拾取,但是它没有达到预期的结果。

然后我遇到了这个solution。这正在按预期方式工作。但是我认为这将影响计算机上运行的每个javaw.exe应用程序。因此,我想了解在这种情况下始终可以使用的通用解决方案来更改浏览器版本。

我的应用程序及其使用仅在Windows平台上。请提出建议!。

谢谢, 帕万。

0 个答案:

没有答案
豫ICP备18024241号-1